package com.szyd.event;

import com.szyd.uhfdemo.LeftFragment;
import com.szyd.uhfdemo.MyApp;

/**
 * author CYD
 * date 2018/11/19
 */
public class GetRFIDThread extends Thread {


    private GetRFIDThread() {
    }

    public static GetRFIDThread getInstance() {
        return MySingleton.instance;
    }

    static class MySingleton {
        static final GetRFIDThread instance = new GetRFIDThread();
    }

    private BackResult ba;

    private boolean ifPostMsg = false;

    public void setBackResult(BackResult ba) {
        this.ba = ba;
    }

    public boolean isIfPostMsg() {
        return ifPostMsg;
    }

    private boolean flag = true;

    public void destoryThread() {
        flag = false;
    }

    public void setIfPostMsg(boolean ifPostMsg) {
        this.ifPostMsg = ifPostMsg;
    }

    private boolean searchTag; //Whether in the tags search mode

    public void setSearchTag(boolean searchTag) {
        this.searchTag = searchTag;
    }


    @Override
    public void run() {
        long curTime, oldTime = 0, rNumber = 0;
        while (flag) {
            if (ifPostMsg) {
                String[] tagData = MyApp.getMyApp().getIdataLib().readTagFromBuffer();
                if (tagData != null) {
                    oldTime = 0;
                    ba.postResult(tagData);
                } else if (searchTag) { //Empty the status if the tag is not found within one second
                    curTime = System.currentTimeMillis();
                    if ((curTime - oldTime) > 1000 && (oldTime != 0)) {
                        ba.postResult(null);
                    }
                    if (oldTime == 0) {
                        oldTime = curTime;
                    }
                }
            }
        }
    }
}
