package com.szyd.util;

import android.app.ProgressDialog;
import android.content.Context;
import android.support.v7.app.AlertDialog;
import android.widget.Toast;

import com.szyd.uhfdemo.MyApp;

/**
 * author CYD
 * date 2018/11/26
 * 
 */
public final class MUtil {

    public static void show(String text) {
        Toast.makeText(MyApp.getMyApp(), text, Toast.LENGTH_SHORT).show();
    }

    public static void show(int rid) {
        Toast.makeText(MyApp.getMyApp(), rid, Toast.LENGTH_SHORT).show();
    }

    private static ProgressDialog dialog;

    //8.0+ has abandoned ProgressDialog, not available
    public static void showProgressDialog(String text, Context con) {
        if (dialog == null) {
            dialog = new ProgressDialog(con);
            dialog.setTitle(text);
            dialog.setCancelable(false);
            dialog.show();
        }
    }

    public static void cancleDialog() {
        if (dialog != null) {
            dialog.cancel();
            dialog = null;
        }
    }

    private static AlertDialog atdialog;

    public static void warningDialog(Context con) {
        if (atdialog == null) {
            atdialog = new AlertDialog.Builder(con).create();
            atdialog.setTitle("Failed to power on.");
            atdialog.setMessage(
                    "1.Please check at:Settings->User Define->EMSH Service Settings->select Enable EMSH service \n" +
                            "2.Please make sure there are two battery icons in the top of PDA screen,and both have enough power.；\n" +
                            "If there is only one battery icon,please the connection of PDA and UHF pistol;\n if the left battery icon is low power, please charge the UHF pistol in the 3-in-1 charging cradle.\n" +
                            "3.If there are still problems,please find the technical support at:support@idataglobal.com"
            );
            atdialog.setCancelable(false);
            atdialog.show();
        }
    }

    public static void cancelWaringDialog() {
        if (atdialog != null) {
            atdialog.cancel();
            atdialog = null;
        }
    }

}
